using UnityEngine;
using System.Collections;

public class BottomTrigger : MonoBehaviour {
	
	private GameObject _ball;
	private GameObject _lives;
	
	public void Start()
	{
		_ball = GameObject.Find("ball");
		_lives = GameObject.Find("Lives");
	}
	
	IEnumerator OnCollisionEnter( Collision col)
	{
		Debug.Log("Enter");
		Lives.curLives--;
		
		if (Lives.curLives < 0)
		{
			Application.LoadLevel("GameOver");
			PlayerPrefs.SetInt("Score", Score.score);
		}
		
		_ball.transform.position = new Vector3(0,0,0);
		_ball.rigidbody.velocity = new Vector3(0,0,0);
		
		Debug.Log(_ball.rigidbody.velocity);
		
		yield return new WaitForSeconds( 1.0f );
		_ball.rigidbody.AddRelativeForce( new Vector3( 0, -5, 0  ) );
		_ball.GetComponent<Ball>().wallHitTime = Time.timeSinceLevelLoad;
		_ball.GetComponent<Ball>().paddleHitTime = Time.timeSinceLevelLoad;
		Debug.Log ("Gone");
		
		
	}
}
